=== src/monkeyshell/Makefile ===
monkeyshell: monkeyshell.c
	gcc -Wall -Werror --pedantic -o monkeyshell monkeyshell.c
