## monkeysphere 0.30

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # © 2008-2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 # Licensed under GPL v3 or later
 
-MONKEYSPHERE_VERSION = `head -n1 changelog | sed 's/.*(\([^-]*\)).*/\1/'`
+MONKEYSPHERE_VERSION = `head -n1 Changelog | sed 's/.*(\([^-]*\)).*/\1/'`
 
 # these defaults are for debian.  porters should probably adjust them
 # before calling make install
@@ -17,22 +17,8 @@
 # nothing actually needs to be built now.
 all: 
 
-tarball: clean
-	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
-	mkdir -p monkeysphere-$(MONKEYSPHERE_VERSION)/doc
-	ln -s ../../website/getting-started-user.mdwn ../../website/getting-started-admin.mdwn ../../doc/TODO ../../doc/MonkeySpec monkeysphere-$(MONKEYSPHERE_VERSION)/doc
-	ln -s ../changelog ../COPYING ../etc ../Makefile ../man ../src ../tests monkeysphere-$(MONKEYSPHERE_VERSION)
-	echo Monkeysphere $(MONKEYSPHERE_VERSION) > monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
-	echo -n "git revision " >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
-	git rev-parse HEAD >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
-	tar -ch --exclude='*~' monkeysphere-$(MONKEYSPHERE_VERSION) | gzip -n > monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
-	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
-
-debian-package: tarball
-	tar xzf monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
-	cp -a packaging/debian monkeysphere-$(MONKEYSPHERE_VERSION)
-	(cd monkeysphere-$(MONKEYSPHERE_VERSION) && debuild -uc -us)
-	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
+debian-package:
+	git buildpackage -uc -us
 
 # don't explicitly depend on the tarball, since our tarball
 # (re)generation is not idempotent even when no source changes.
@@ -53,7 +39,7 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/monkeysphere/m $(DESTDIR)$(PREFIX)/share/monkeysphere/mh $(DESTDIR)$(PREFIX)/share/monkeysphere/ma $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
 	mkdir -p $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere
 	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
-	install -m 0644 VERSION $(DESTDIR)$(PREFIX)/share/monkeysphere
+	printf "Monkeysphere %s\n" $(MONKEYSPHERE_VERSION) > $(DESTDIR)$(PREFIX)/share/monkeysphere/VERSION
 	install src/monkeysphere $(DESTDIR)$(PREFIX)/bin
 	install src/monkeysphere-host src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
 	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
@@ -67,8 +53,7 @@
 	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
 	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
 	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
-	install doc/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
-	install changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
+	install Changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
 	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)
