=== debian/changelog ===
monkeysphere (0.30-1) unstable; urgency=low

  [ Daniel Kahn Gillmor]
  * New upstream release
   - handles lack of openssh utilities gracefully
  * moved openssh-client from Depends: to Recommends: (Closes: #574170)
  * Move to git buildpackage
  * Specify source format 3.0 (quilt)

  [ Micah Anderson ]
  * Remove duplicate Changelog install

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 17 Apr 2010 20:42:11 -0400

monkeysphere (0.29-1) unstable; urgency=low

  [ Jameson Graef Rollins ]
  * New upstream release

  [ Daniel Kahn Gillmor ]
  * bumped Standards-Version to 3.8.4 (no changes needed)
  * indicated bash dependency on version 3.2 or later (see MS #1687)
  * including /etc/Xsession.d/70monkeysphere_use_validation_agent so that
    administrators and users can choose to start up a validation agent for
    each X session using monkeysphere.conf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 Mar 2010 21:07:17 -0400

monkeysphere (0.28-1) unstable; urgency=low

  * New upstream release
  * Separate upstream and debian changelogs

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 19 Jan 2010 13:56:17 -0500

monkeysphere (0.27-1) unstable; urgency=low

  * New upstream release
  * updated debian/copyright to match the latest revision of DEP5.
  * updated standards version to 3.8.3 (no changes needed)
  * add cpio to Build-Depends (used in test suite) (Closes: #562444)

 -- Jameson Rollins <jrollins@finestructure.net>  Mon, 11 Jan 2010 20:54:21 -0500

monkeysphere (0.26-1) unstable; urgency=low

  * New upstream release (Closes: #527765)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 01 Aug 2009 17:11:05 -0400

monkeysphere (0.25-1) unstable; urgency=low

  * New upstream release (closes: #534008)
  * update Standard-Version to 3.8.2 (no changes needed)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Thu, 16 Jul 2009 22:09:19 -0400

monkeysphere (0.24-1) unstable; urgency=low

  * New upstream release (Closes: #517779)
  * update/cleanup maintainer scripts
  * remove GnuTLS dependency
  * remove versioned coreutils | base64 dependency
  * added Build-Deps for dh_autotest
  * switch to Architecture: all
  * added cron to Recommends

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 03 Mar 2009 19:38:33 -0500

monkeysphere (0.23.1-1) unstable; urgency=low

  * New upstrem release ("brown paper bag" to adjust internal version numbers)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Feb 2009 18:09:47 -0500

monkeysphere (0.23-1) unstable; urgency=low
  
  * New upstream release: "The Golden Bezoar Release"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Feb 2009 17:51:06 -0500

monkeysphere (0.22-1) unstable; urgency=low

  * New upstream release
  * debian/control: corrected alternate dependency from procfile to
    procmail (which provides /usr/bin/lockfile)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 28 Nov 2008 14:23:31 -0500

monkeysphere (0.21-2) unstable; urgency=low

  * actually rmdir /var/lib/monkeysphere-* during prerm if possible.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Nov 2008 16:36:57 -0500

monkeysphere (0.21-1) unstable; urgency=low

  * New upstream initial release to Debian (Closes: #505806)
  * Add debian prerm script, and add debhelper lines to other install
    scripts.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 15 Nov 2008 16:14:27 -0500
