=== debian/control ===
Source: monkeysphere
Section: net
Priority: extra
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 7.0.50~),
 cpio,
 socat,
 openssh-server,
 gnupg,
 libcrypt-openssl-rsa-perl,
 libdigest-sha-perl,
 lockfile-progs | procmail,
 openssl,
 bash (>= 3.2)
Standards-Version: 3.8.4
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/monkeysphere
Dm-Upload-Allowed: yes

Package: monkeysphere
Architecture: all
Depends:
 gnupg,
 libcrypt-openssl-rsa-perl,
 libdigest-sha-perl,
 lockfile-progs | procmail,
 adduser,
 ${misc:Depends}
Recommends: netcat | socat,
 ssh-askpass,
 cron,
 openssh-client
Suggests: monkeysphere-validation-agent
Enhances: openssh-client, openssh-server
Description: leverage the OpenPGP web of trust for SSH and TLS authentication
 SSH key-based authentication is tried-and-true, but it lacks a true
 Public Key Infrastructure for key certification, revocation and
 expiration.  Monkeysphere is a framework that uses the OpenPGP web of
 trust for these PKI functions.  It can be used in both directions:
 for users to get validated host keys, and for hosts to authenticate
 users.  Current monkeysphere SSH tools are designed to integrate
 with the OpenSSH implementation of the Secure Shell protocol.
 . 
 Monkeysphere can also be used by a validation agent to validate TLS
 connections (e.g. https).
