=== debian/changelog ===
monkeysphere (0.31-4) stable; urgency=low

  * fix monkeysphere-host revoke-key (Closes: #607596)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 19 Dec 2010 22:04:03 -0500

monkeysphere (0.31-3) unstable; urgency=high

  * avoid mis-escaping uids, fixes a security issue. (Closes: #600304)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Oct 2010 16:46:17 -0400

monkeysphere (0.31-2) unstable; urgency=low

  * sleep a bit in keytrans suite to ensure that at least a full second
    passes before using $keytrans + 1 (Closes: #591118)
  * bumped Standards-Version to 3.9.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Oct 2010 13:42:18 -0400

monkeysphere (0.31-1) unstable; urgency=low

  * New Upstream Release
  * updated Xsession.d script to avoid choking when
    /etc/monkeysphere/monkeysphere.conf has been removed.
  * bumped Standards-Version to 3.9.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 15 Jul 2010 19:22:11 -0400
