=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Micah Anderson <micah@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  cpio,
  socat,
@@ -13,7 +13,7 @@
  lockfile-progs | procmail,
  openssl,
  bash (>= 3.2)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/monkeysphere
 Dm-Upload-Allowed: yes
