=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=" nocheck"

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/monkeysphere/usr/share/doc/monkeysphere/Changelog
