=== debian/changelog ===
monkeysphere (0.35-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Clint Adams <clint@debian.org>  Thu, 24 Mar 2011 11:00:50 -0400

monkeysphere (0.35-2) unstable; urgency=low

  * move from experimental to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 25 Feb 2011 14:37:05 -0500

monkeysphere (0.35-1) experimental; urgency=low

  * New upstream release

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 13 Nov 2010 18:25:47 -0500

monkeysphere (0.34-1) experimental; urgency=low

  [ Jameson Rollins ]
  * New upstream release (Closes: #600644)

  [ Daniel Kahn Gillmor ]
  * updated build-deps and depends to be versioned on gnupg 1.4.10 or
    later.

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 26 Oct 2010 10:35:04 -0400

monkeysphere (0.33-1) experimental; urgency=low

  * New upstream release (Closes: #600304, #591118)

 -- Jameson Rollins <jrollins@finestructure.net>  Fri, 15 Oct 2010 18:06:42 -0400

monkeysphere (0.32-1) experimental; urgency=low

  * New upstream release
  * remove the etc/X11/Xsession.d/70monkeysphere_use-validation-agent
    script, since msva will now be handling that itself.
  * bumped Standards-Version to 3.9.1 (no changes needed)

 -- Jameson Rollins <jrollins@finestructure.net>  Wed, 06 Oct 2010 17:52:09 -0400
