=== debian/changelog ===
monkeysphere (0.36-1) unstable; urgency=low

  * New upstram release
    (Closes: #635648, #698383)
  * bumped Standards-Version to 3.9.4 (no changes needed)
  * moved debhelper compat level to 9
  * debian/control: remove obsolete Dm-Upload-Allowed
  * debian/copyright: update to modern machine-readable format

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Jul 2013 13:38:51 -0400
