=== debian/control ===
--- 
+++ 
@@ -2,26 +2,25 @@
 Section: net
 Priority: extra
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Micah Anderson <micah@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Build-Depends: debhelper (>= 9~),
  cpio,
  socat,
  openssh-server,
- gnupg,
+ gnupg (>= 1.4.10),
  libcrypt-openssl-rsa-perl,
  libdigest-sha-perl,
  lockfile-progs | procmail,
  openssl,
  bash (>= 3.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/monkeysphere
-Dm-Upload-Allowed: yes
 
 Package: monkeysphere
 Architecture: all
 Depends:
- gnupg,
+ gnupg (>= 1.4.10),
  libcrypt-openssl-rsa-perl,
  libdigest-sha-perl,
  lockfile-progs | procmail,
