=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-export DEB_BUILD_OPTIONS=" nocheck"
-
 %:
 	dh $@
