## monkeysphere 0.37

=== debian/changelog ===
monkeysphere (0.37-3) unstable; urgency=medium

  * actually patch log() to consume all stdin when not given a message
    argument (apparently the fix in 0.37-2 did not get properly applied)
    (Closes: #778833)
  * also from usptream: improve monkeysphere-authentication diagnostic
    checks.
  * wrap-and-sort for a cleaner debian/

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 May 2015 23:14:57 -0400

monkeysphere (0.37-2) unstable; urgency=medium

  * patch from upstream: log() should consume all stdin when not given a
    message argument.  Closes: #635711
  * bumped Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Nov 2014 14:52:41 -0500

monkeysphere (0.37-1) unstable; urgency=medium

  * new upstream release (Closes: #745144, #755337)
  * remove /var/lib/monkeysphere on package purge (Closes: #668754)
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Aug 2014 13:35:34 -0400
