=== debian/control ===
Source: monkeysphere
Section: net
Priority: extra
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: bash (>= 3.2),
               cpio,
               debhelper (>= 9~),
               gnupg (>= 1.4.10),
               libcrypt-openssl-rsa-perl,
               libdigest-sha-perl,
               lockfile-progs | procmail,
               openssh-server,
               openssl,
               socat
Standards-Version: 3.9.6
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/monkeysphere

Package: monkeysphere
Architecture: all
Depends: adduser,
         gnupg (>= 1.4.10),
         libcrypt-openssl-rsa-perl,
         libdigest-sha-perl,
         lockfile-progs | procmail,
         ${misc:Depends}
Recommends: cron, netcat | socat, openssh-client, ssh-askpass
Suggests: monkeysphere-validation-agent
Enhances: openssh-client, openssh-server
Description: leverage the OpenPGP web of trust for SSH and TLS authentication
 SSH key-based authentication is tried-and-true, but it lacks a true
 Public Key Infrastructure for key certification, revocation and
 expiration.  Monkeysphere is a framework that uses the OpenPGP web of
 trust for these PKI functions.  It can be used in both directions:
 for users to get validated host keys, and for hosts to authenticate
 users.  Current monkeysphere SSH tools are designed to integrate
 with the OpenSSH implementation of the Secure Shell protocol.
 .
 Monkeysphere can also be used by a validation agent to validate TLS
 connections (e.g. https).
