=== debian/changelog ===
monkeysphere (0.38-1) unstable; urgency=medium

  * new upstream release
   - includes new binary package "agent-transfer"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 17 Jun 2016 02:13:53 -0400
