=== debian/changelog ===
monkeysphere (0.39-1ubuntu1) yakkety; urgency=medium

  * Fix build with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Aug 2016 19:42:35 +0200

monkeysphere (0.39-1) unstable; urgency=medium

  * new upstream bugfix release
   - avoid treating src/share/common as an executable
   - Include local build of agent-transfer in $PATH (Closes: #835719)
   - force bash as the shell during su (Closes: #827660)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Aug 2016 03:14:40 -0400
